git-whatchanged(1)
==================

NAME
----
git-whatchanged - Show logs with differences each commit introduces


SYNOPSIS
--------
[synopsis]
git whatchanged <option>...

WARNING
-------
`git whatchanged` has been deprecated and is scheduled for removal in
a future version of Git, as it is merely `git log` with different
defaults.

DESCRIPTION
-----------

Shows commit logs and diff output each commit introduces.

New users are encouraged to use linkgit:git-log[1] instead.  The
`whatchanged` command is essentially the same as linkgit:git-log[1]
but defaults to showing the raw format diff output and skipping merges:

----
git log --raw --no-merges
----

The command is primarily kept for historical reasons; fingers of
many people who learned Git long before `git log` was invented by
reading the Linux kernel mailing list are trained to type it.


Examples
--------
`git whatchanged -p v2.6.12.. include/scsi drivers/scsi`::

	Show as patches the commits since version 'v2.6.12' that changed
	any file in the include/scsi or drivers/scsi subdirectories

`git whatchanged --since="2 weeks ago" -- gitk`::

	Show the changes during the last two weeks to the file 'gitk'.
	The "--" is necessary to avoid confusion with the *branch* named
	'gitk'

GIT
---
Part of the linkgit:git[1] suite
